Bug 26121 - When using CodeMirror in News Tool DatePicker is hard to see
Summary: When using CodeMirror in News Tool DatePicker is hard to see
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 22660
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-31 22:39 UTC by Lucas Gass
Modified: 2020-08-16 22:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26121: Add z-index for CodeMirror (1.09 KB, patch)
2020-07-31 22:51 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26121: Add z-index for CodeMirror (1.15 KB, patch)
2020-08-03 10:43 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26121: Add z-index for CodeMirror (1.21 KB, patch)
2020-08-05 16:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-07-31 22:39:50 UTC
If you set the sys pref 'NewsToolEditor' to CodeMirror and go to the News tool and edit a some news the DatePicker is overlapped by CodeMirror making it difficult to see which dates you are picking:

https://snipboard.io/cRQsdN.jpg
Comment 1 Lucas Gass 2020-07-31 22:51:18 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-08-03 10:43:48 UTC
Created attachment 107696 [details] [review]
Bug 26121: Add z-index for CodeMirror

To test:
1. Make sure the system preference 'NewsToolEditor' is set to CodeMirror
2. Go add or edit some News content.
3. Add some content to the News section
4. Use the datepicker to pick a Publication date/Expiration date
5. Notice its very hard to see your dates overlapping with CodeMirror.
6. Apply patch
7. Much easier to see the dates!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-05 16:14:37 UTC
Created attachment 107845 [details] [review]
Bug 26121: Add z-index for CodeMirror

To test:
1. Make sure the system preference 'NewsToolEditor' is set to CodeMirror
2. Go add or edit some News content.
3. Add some content to the News section
4. Use the datepicker to pick a Publication date/Expiration date
5. Notice its very hard to see your dates overlapping with CodeMirror.
6. Apply patch
7. Much easier to see the dates!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-06 09:38:27 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-13 18:45:46 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 22:09:31 UTC
missing dependencies, not backported to 19.11.x